Bug 172679 - The anaconda regard hda5 as swap, but actually the swap is sda5
The anaconda regard hda5 as swap, but actually the swap is sda5
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-08 04:18 EST by Leon Li
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-11 23:17:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leon Li 2005-11-08 04:18:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; zh-CN; rv:1.7.10) Gecko/20050717 Firefox/1.0.6

Description of problem:
There is two system RHEL3U6  AS & RHEL4AS Golden version on Dell GX620 with one sata harddisk and one cdrom.

I boot from disc1 of RHEL4U1 AS by : linux updates .

After choose install language and keyboard, the ananconda search the harddisk and get there is too RHEL on harddisk. I choose RHEL4AS to update. it report error:

Error enabling swap device hda5: No such file or directory. This most likely mean this swap partation has not been initliazed.

But the swap is sda5 instead of hda5.

Version-Release number of selected component (if applicable):
RHEL4 Golden version updating to RHEL4U1

How reproducible:
Always

Steps to Reproduce:
1. install a RHEL4 Goden version AS on Dell GX620 ( with one sata harddisk and cdrom)
2. insert the RHEL4U1 AS Disc1 ,and boot as : linux updates to boot
3. The ananconda recognize there is RHEL4AS on the harddisk and promt to update
4. choose RHEL4AS  and click next
5. the popup windows read: 
Error enabling swap device hda5: No such file or directory. This most likely mean this swap partation has not been initliazed.
6. after click ok, it rebooting

Actual Results:  rebooting without updates

Additional info:
Comment 1 Jeremy Katz 2005-11-11 23:17:31 EST
Upgrades between update releases aren't supported

Note You need to log in before you can comment on or make changes to this bug.